Upload Droplet

Upload Droplet
Upload droplet bits

Upload a gzip compressed tarball file containing a Cloud Foundry compatible droplet. The file must be sent as part of a multi-part form.

Request
URI
POST
https://api.example.local/v3/droplets/{guid}/upload
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

The droplet file to be uploaded

{
    "resources": [
        {
            "path": "string",
            "size_in_bytes": 0,
            "checksum": {
                "value": "string"
            }
        }
    ]
}
array of object
resources
Optional

resources

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved droplet

Returns DropletGetResponse of type(s) application/json
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "state": "string",
    "error": "string",
    "lifecycle": {
        "type": "string",
        "data": {
            "buildpacks": [
                "string"
            ],
            "stack": "string",
            "credentials": {
                "credentials": {
                    "username": "string",
                    "password": "string",
                    "token": "string"
                }
            }
        }
    },
    "execution_metadata": "string",
    "process_types": {},
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "package": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "assign_current_droplet": {
            "href": "string",
            "method": "string"
        },
        "download": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    },
    "checksum": {
        "type": "string",
        "value": "string"
    },
    "buildpacks": [
        {
            "name": "string",
            "detect_output": "string",
            "version": "string",
            "buildpack_name": "string"
        }
    ],
    "stack": "string",
    "image": "string"
}

202

Upload initiated

Returns Droplet of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "state": "string",
    "error": "string",
    "lifecycle": {
        "type": "string",
        "data": {
            "buildpacks": [
                "string"
            ],
            "stack": "string",
            "credentials": {
                "credentials": {
                    "username": "string",
                    "password": "string",
                    "token": "string"
                }
            }
        }
    },
    "execution_metadata": "string",
    "process_types": {},
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "package": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "assign_current_droplet": {
            "href": "string",
            "method": "string"
        },
        "download": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    },
    "checksum": {
        "type": "string",
        "value": "string"
    },
    "buildpacks": [
        {
            "name": "string",
            "detect_output": "string",
            "version": "string",
            "buildpack_name": "string"
        }
    ],
    "stack": "string",
    "image": "string"
}

Response Headers

string
Location

URL of the job tracking the upload


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{}' https://{api_host}/v3/droplets/{guid}/upload